Summary:    PostgreSQL Audit Extension
Name:       pgaudit
Version:    1.7.0
Release:    5%{?dist}
License:    PostgreSQL
URL:        http://pgaudit.org
Source0:    https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc postgresql-server-devel postgresql-server-devel openssl-devel
%{?postgresql_module_requires}

%description
The PostgreSQL Audit extension (pgaudit) provides detailed session and/or object audit logging via
the standard PostgreSQL logging facility.

The goal of the PostgreSQL Audit extension (pgaudit) is to provide PostgreSQL users with capability
to produce audit logs often required to comply with government, financial, or ISO certifications.

An audit is an official inspection of an individual's or organization's accounts, typically by an
independent body. The information gathered by the PostgreSQL Audit extension (pgaudit) is properly
called an audit trail or audit log. The term audit log is used in this documentation.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build USE_PGXS=1 PG_CONFIG=/usr/bin/pg_server_config

%install
%make_install USE_PGXS=1 PG_CONFIG=/usr/bin/pg_server_config

%files
%license LICENSE
%doc README.md
%{_libdir}/pgsql/%{name}.so
%{_datadir}/pgsql/extension/%{name}--1.7.sql
%{_datadir}/pgsql/extension/%{name}.control

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.7.0-4
- fix build errors with postgresql-server-devel 15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
